[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[equinox-dev] Problem after updating timezone Equinox v3.4

Hi,

 

I wrote about this in my previous thread, but I think it is better to write this thread separately to the other one, because of the other one was about PermissionAdmin service having nothing to do with this case:

 

Trying to launch Equinox v3.4 with security features I got the next exception:

 

Exception in thread "main" java.lang.NoClassDefFoundError: ûjar

 

It was very rare because I tried to launch the security command as I did before trying with Equinox v3.3 and Equinox v3.4 (when they working fine)

 

I was looking for the solution and I tried to update the dates with the timezone update by SUn (-jar tzupdater.jar), following the information which I  found in Internet.

 

After that, I reboot my PC and then I tried to launch Equinox v3.3 without security and with security and worked fine, however, when I tried to launch Equinox v3.4 by console, with either basic or security features, did not work at all, getting the next exception in the logfile:

 

 

!ENTRY org.eclipse.osgi 4 0 2009-06-29 12:51:05.562

!MESSAGE Application error

!STACK 1

java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).

                at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)

                at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)

                at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

                at org.eclipse.core.runtime.adaptor.EclipseStarter.main(EclipseStarter.java:150)

 

 

 have these problem happen to anyone?

 

 

My used commands are as I used before, they were tried and were working fine, so I do not really know what happens now.

 

BASIC LAUNCHING:

 

java -jar org.eclipse.osgi_3.4.3.R34x_v20081215-1030.jar –console

 

SECURITY LAUNCHING:

 

Java -Declipse.security=org.eclipse.osgi.framework.internal.core.FrameworkSecurityManager -jar org.eclipse.osgi_3.4.3.R34x_v20081215-1030.jar –console

 

 

 

So I do not know what I am missing?

 

It is very strange case because of I tried with the same commands and I was fine a couple of months ago, so I think it is a problem related to updater and Equinoxv3.4.

 

 

Thank you in advance for any idea